<?xml version="1.0"?>

<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:obj="http://www.unicorn-enterprises.com/XSLT/Extensions/ECMAScript/1.0"
    extension-element-prefixes="obj">

  <xsl:output
      method="xml"
      indent="yes"
      encoding="UTF-8"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match='/'>
    <obj:import href="demo03.es"/>
    <html>
      <head>
        <title>Sales Statistics</title>
      </head>
      <body>
        <obj:call object="'Stat'" property="reset"/>
        <xsl:apply-templates/>
        <p>Sales total: USD <obj:get object="'Stat'" property="total"/></p>
        <p>Best results: <obj:get object="'Stat'" property="maxMonth"/>
          (USD <obj:get object="'Stat'" property="maxValue"/>)</p>
        <p>Worst results: <obj:get object="'Stat'" property="minMonth"/>
          (USD <obj:get object="'Stat'" property="minValue"/>)</p>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="sales">
    <obj:call object="'Stat'" property="store">
    <!-- Note the 'string()' function: -->
      <obj:with-param value="string(month)"/>
      <obj:with-param value="string(value)"/>
    </obj:call>
  </xsl:template>

</xsl:stylesheet>

